Unable to configure WebAccess on SLES15 SP1.

  • 7024297
  • 28-Nov-2019
  • 27-Jan-2020

Environment

GroupWise 18
SUSE Linux Enterprise Server 15

Situation

You have successfully run installation part of WebAccess and want to continue with configuration section but that fails with python scripting errors.

Resolution

One of the requirements for successful installation of WebAccess is to have python2 extension enabled on SLES15 extensions. However, this does not supply all necessary python RPMs.
Make sure, that prior installing WebAccess or WebPublisher, you run those two commands from a server terminal window:

zypper in python2-rpm
zypper in python-xml

Although in most cases python2-rpm is installed by enabling python2 extensions, the other, python-xml, is not and that part is a cause of getting python script errors during configuration part of WebAccess installation.

This has been also documented in readme file.

Additional Information

Be aware of this information referred to in the "Resolution" section of this document, "readme file",

OS Support Changes:

  • SLES 15 SP1 is now supported.

    NOTE:When installing WebAccess, CalPub, Monitor, or CalSvr on SLES 15 SP1, you need to add the “Python 2 Module 15 , as SP1 x86 64" module.  As listed in YAST, "Add System Extensions or Modules"


Feedback service temporarily unavailable. For content questions or problems, please contact Support.